Passive data
============
[![Pub Package](https://img.shields.io/pub/v/passive_data.svg)](https://pub.dartlang.org/packages/passive_data)

This package contains tools to deal with passive data structures in Dart. It is
designed for usage within Omnibus, but it could be used for other projects as
well.

Specification
-------------
Passive data structures are currently intended to be compatible with JSON.
Encoding and decoding functions for other types (such as integer indexed maps
and sets) are provided by this package. The following Dart types are allowed in
passive data structures:

- `dynamic` (allowed but not recommended)
- `null` (empty fields)
- `num` (integer or floating point)
- `bool`
- `String`
- `List`
- `Map<String`
